import { IFormField, IForm } from "../../pathinterface";
import { TranslationService } from "../../service/translation.service";
export declare class FormField implements IFormField {
    protected form: IForm;
    protected translationService: TranslationService;
    private _id;
    private _name;
    private _type;
    private _height;
    private _width;
    private _newRow;
    private _visible;
    private _labelVisible;
    private _required;
    private _readonly;
    constructor(form: IForm, translationService: TranslationService);
    getForm(): IForm;
    get height(): number;
    set height(value: number);
    get visible(): boolean;
    set visible(value: boolean);
    get width(): number;
    set width(value: number);
    get newRow(): boolean;
    set newRow(value: boolean);
    get required(): boolean;
    set required(value: boolean);
    get readonly(): boolean;
    set readonly(value: boolean);
    get id(): string;
    set id(value: string);
    get name(): string;
    set name(value: string);
    get type(): string;
    set type(value: string);
    get labelVisible(): boolean;
    set labelVisible(value: boolean);
    isReadonly(): boolean;
    fromJson(modelFormField: any): void;
}
